services:
  link_nest:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: ${NEST_NAME}_link_nest
    ports:
      - "8100:8000"
    environment:
      - PORT=8000
      - ADAPTER_TYPE=${ADAPTER_TYPE:-django}
      - DB_HOST=${DB_HOST}
      - DB_PORT=${DB_PORT}
      - DB_NAME=${DB_NAME}
      - DB_USER=${DB_USER}
      - DB_PASSWORD=${DB_PASSWORD}
    volumes:
      - ./:/app
    networks:
      - default

networks:
  default:
    external: true
    name: ${NETWORK_NAME}
